﻿@model Portal_Proveedor.Models.Registro.Registro
@{
    ViewData["Title"] = "Registrarse";
    Layout = "~/Views/Shared/_Layout.cshtml";

    <script src="@Url.Content("~/Scripts/jquery.mask.js")"></script>
}

<br />
<div class="cotainer">
    @using (Html.BeginForm("Registrarse", "Registro", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()
        <fieldset>
            <!-- Form Name -->
            <legend>Reg&iacute;strese</legend>
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">Usuario</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.UserName, null, new { id = "usuario", name = "usuario", placeholder = "Código proveedor SAP", @class = "form-control input-md", required = "" })

                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="email">Correo electr&oacute;nico</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.correo, null, new { id = "email", name = "email", placeholder = "correo@ejemplo.com", @class = "form-control input-md", required = "" })
                    @Html.ValidationMessageFor(m => m.correo, null, new { @class = "text-danger" })
                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">Es extranjero</label>
                <div class="col-md-4">
                    @Html.CheckBoxFor(m => m.esExtranjero, new { @id = "esExtranjero", @class = "" })

                </div>
            </div>
            <!-- Text input-->
            <div class="form-group" id="rucDiv">
                <label class="col-md-4 control-label" for="lname">RTN</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.RTN, null, new { id = "ruc", name = "ruc", placeholder = "RTN", @class = "form-control input-md" })

                </div>
            </div>
            <!-- Password input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Contrase&ntilde;a</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.clave, null, new { id = "password", name = "password", type = "password", placeholder = "", @class = "form-control input-md", required = "" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Confirmar contrase&ntilde;a</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.confirmaClave, null, new { id = "password2", name = "password2", type = "password", placeholder = "", @class = "form-control input-md", required = "" })
                </div>
            </div>
            <!-- Button (Double) -->

            <div class="form-group">
                <div class="col-md-10" style="text-align:center;">
                    @Html.ValidationMessageFor(m => m.UserName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="save"></label>
                <div class="col-md-8">
                    <button id="save" name="save" class="btn btn-success">Registrarse</button>
                    <button id="clear" name="clear" class="btn btn-danger">Cancelar</button>
                </div>
            </div>
        </fieldset>
    }
</div>

<script>
    $(function () {
        $('#ruc').mask('00000000000000')
    });

    $('#esExtranjero').click(function () {

        if ($('#esExtranjero').is(':checked')) {
            $("#rucDiv").hide();
        } else {
            $("#rucDiv").show();
        }
    });


</script>